Package: org.codehaus.groovy.control.messages

## [Java] Class LocatedMessage

- org.codehaus.groovy.control.messages.LocatedMessage

-     public class LocatedMessage
      extends SimpleMessage

  A base class for compilation messages.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class SimpleMessage` | `data, message, owner`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `LocatedMessage(String message, CSTNode context, SourceUnit source)`
    `LocatedMessage(String message, Object data, CSTNode context, SourceUnit source)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public CSTNode` | `getContext()`
    `` | `public void` | `write(PrintWriter writer, Janitor janitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleMessage` | `getMessage, write`
    `class Message` | `create, create, create, write, write`

- - ### Constructor Detail

    - #### public LocatedMessage(String message, CSTNode context, SourceUnit source)

    - #### public LocatedMessage(String message, Object data, CSTNode context, SourceUnit source)

  - ### Method Detail

    - #### public CSTNode getContext()

    - #### @Override
      public void write(PrintWriter writer, Janitor janitor)